Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tlv
Class JstlBaseTLV

    java.lang.Object
      javax.servlet.jsp.tagext.TagLibraryValidator
          org.apache.taglibs.standard.tlv.JstlBaseTLV

Direct Known Subclasses:
  JstlCoreTLV, JstlFmtTLV, JstlSqlTLV, JstlXmlTLV

    public abstract class JstlBaseTLV

extends TagLibraryValidator

A base class to support SAX-based validation in JSTL.

Author:
  Shawn Bayern

Field Summary
`protected static String` | `APPLICATION_SCOPE`
`protected Map` | `config`
`protected boolean` | `failed`
`protected String` | `JSP`
`protected String` | `lastElementId`
`protected Vector` | `messageVector`
`protected static String` | `PAGE_SCOPE`
`protected String` | `prefix`
`protected static String` | `REQUEST_SCOPE`
`protected static String` | `SCOPE`
`protected static String` | `SESSION_SCOPE`
`protected static int` | `TYPE_CORE`
`protected static int` | `TYPE_FMT`
`protected static int` | `TYPE_SQL`
`protected static int` | `TYPE_XML`
`protected String` | `uri`
`protected static String` | `VAR`

Constructor Summary
`JstlBaseTLV()`

Method Summary
`protected void` | `fail(String message)`
`protected abstract DefaultHandler` | `getHandler()`
`protected String` | `getLocalPart(String qname)`
`protected boolean` | `hasAttribute(Attributes a, String att)`
`protected boolean` | `hasDanglingScope(Attributes a)`
`protected boolean` | `hasEmptyVar(Attributes a)`
`protected boolean` | `hasNoInvalidScope(Attributes a)`
`protected boolean` | `isCoreTag(String tagUri, String tagLn, String target)`
`protected boolean` | `isFmtTag(String tagUri, String tagLn, String target)`
`protected boolean` | `isJspTag(String tagUri, String tagLn, String target)`
`protected boolean` | `isSpecified(TagData data, String attributeName)`
`protected boolean` | `isSqlTag(String tagUri, String tagLn, String target)`
`protected boolean` | `isTag(String tagUri, String tagLn, String matchUri, String matchLn)`
`protected boolean` | `isXmlTag(String tagUri, String tagLn, String target)`
`void` | `release()` Release any data kept by this instance for validation purposes.
`ValidationMessage[]` | `validate(int type, String prefix, String uri, PageData page)`
`protected String` | `validateExpression(String elem, String att, String expr)`

Methods inherited from class javax.servlet.jsp.tagext.TagLibraryValidator
`getInitParameters, setInitParameters, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VAR

    protected static final String VAR

See Also:
  Constant Field Values

### SCOPE

    protected static final String SCOPE

See Also:
  Constant Field Values

### PAGE_SCOPE

    protected static final String PAGE_SCOPE

See Also:
  Constant Field Values

### REQUEST_SCOPE

    protected static final String REQUEST_SCOPE

See Also:
  Constant Field Values

### SESSION_SCOPE

    protected static final String SESSION_SCOPE

See Also:
  Constant Field Values

### APPLICATION_SCOPE

    protected static final String APPLICATION_SCOPE

See Also:
  Constant Field Values

### JSP

    protected final String JSP

See Also:
  Constant Field Values

### TYPE_CORE

    protected static final int TYPE_CORE

See Also:
  Constant Field Values

### TYPE_FMT

    protected static final int TYPE_FMT

See Also:
  Constant Field Values

### TYPE_SQL

    protected static final int TYPE_SQL

See Also:
  Constant Field Values

### TYPE_XML

    protected static final int TYPE_XML

See Also:
  Constant Field Values

### uri

    protected String uri

### prefix

    protected String prefix

### messageVector

    protected Vector messageVector

### config

    protected Map config

### failed

    protected boolean failed

### lastElementId

    protected String lastElementId

Constructor Detail

### JstlBaseTLV

    public JstlBaseTLV()

Method Detail

### getHandler

    protected abstract DefaultHandler getHandler()

### release

    public void release()

  Description copied from class: `TagLibraryValidator`
  Release any data kept by this instance for validation purposes.

  Overrides:
    `release` in class `TagLibraryValidator`

### validate

    public ValidationMessage[] validate(int type,
                                        String prefix,
                                        String uri,
                                        PageData page)

### validateExpression

    protected String validateExpression(String elem,
                                        String att,
                                        String expr)

### isTag

    protected boolean isTag(String tagUri,
                            String tagLn,
                            String matchUri,
                            String matchLn)

### isJspTag

    protected boolean isJspTag(String tagUri,
                               String tagLn,
                               String target)

### isCoreTag

    protected boolean isCoreTag(String tagUri,
                                String tagLn,
                                String target)

### isFmtTag

    protected boolean isFmtTag(String tagUri,
                               String tagLn,
                               String target)

### isSqlTag

    protected boolean isSqlTag(String tagUri,
                               String tagLn,
                               String target)

### isXmlTag

    protected boolean isXmlTag(String tagUri,
                               String tagLn,
                               String target)

### hasAttribute

    protected boolean hasAttribute(Attributes a,
                                   String att)

### fail

    protected void fail(String message)

### isSpecified

    protected boolean isSpecified(TagData data,
                                  String attributeName)

### hasNoInvalidScope

    protected boolean hasNoInvalidScope(Attributes a)

### hasEmptyVar

    protected boolean hasEmptyVar(Attributes a)

### hasDanglingScope

    protected boolean hasDanglingScope(Attributes a)

### getLocalPart

    protected String getLocalPart(String qname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.